List transactions
List payment transactions with cursor-based pagination. Filter by status or customer email.
List payment transactions with cursor-based pagination. Filter by status or customer email.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
status?string
customerEmail?string
limit?integer
cursor?string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/transactions"{ "success": true, "data": [ { "id": "string", "invoiceId": "string", "grossAmount": -9007199254740991, "subtotal": -9007199254740991, "taxAmount": -9007199254740991, "currency": "string", "status": "pending", "customerEmail": "string", "customerName": "string", "paidAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "availableAt": "2019-08-24T14:15:22Z", "object": "transaction", "livemode": true } ], "hasMore": true, "nextCursor": "string"}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}{ "success": false, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "details": null, "doc_url": "string" }}